diff --unified --recursive v4l-dvb-806e065723cb/linux/drivers/media/dvb/dvb-usb/Kconfig v4l-dvb-806e065723cb.orig/linux/drivers/media/dvb/dvb-usb/Kconfig
--- v4l-dvb-806e065723cb/linux/drivers/media/dvb/dvb-usb/Kconfig	2007-01-09 09:03:52.000000000 +0100
+++ v4l-dvb-806e065723cb.orig/linux/drivers/media/dvb/dvb-usb/Kconfig	2007-01-09 09:30:56.762443386 +0100
@@ -180,3 +180,18 @@
 	  The receivers are also known as DTT200U (Yakumo) and UB300 (Yuan).
 
 	  The WT-220U and its clones are pen-sized.
+
+config DVB_USB_AF9005
+	tristate "Afatech AF9005 DVB-T USB1.1 support"
+	depends on DVB_USB
+	select DVB_TUNER_MT2060 if !DVB_FE_CUSTOMISE
+	help
+	  Say Y here to support the Afatech AF9005 based DVB-T USB1.1 receiver
+
+config DVB_USB_AF9005_REMOTE
+	tristate "Afatech AF9005 default remote control support"
+	depends on DVB_USB_AF9005
+	help
+	  Say Y here to support the default remote control decoding for the 
+	  Afatech AF9005 based receiver.
+
diff --unified --recursive v4l-dvb-806e065723cb/linux/drivers/media/dvb/dvb-usb/Makefile v4l-dvb-806e065723cb.orig/linux/drivers/media/dvb/dvb-usb/Makefile
--- v4l-dvb-806e065723cb/linux/drivers/media/dvb/dvb-usb/Makefile	2007-01-09 09:03:52.000000000 +0100
+++ v4l-dvb-806e065723cb.orig/linux/drivers/media/dvb/dvb-usb/Makefile	2007-01-09 09:30:02.982839436 +0100
@@ -42,4 +42,10 @@
 dvb-usb-dib0700-objs = dib0700_core.o dib0700_devices.o
 obj-$(CONFIG_DVB_USB_DIB0700) += dvb-usb-dib0700.o
 
+dvb-usb-af9005-objs = af9005.o af9005-fe.o
+obj-$(CONFIG_DVB_USB_AF9005) += dvb-usb-af9005.o
+
+dvb-usb-af9005-remote-objs = af9005-remote.o
+obj-$(CONFIG_DVB_USB_AF9005_REMOTE) += dvb-usb-af9005-remote.o
+
 EXTRA_CFLAGS = -Idrivers/media/dvb/dvb-core/ -Idrivers/media/dvb/frontends/
